Αποστολέας Θέμα: Σφαλμα σε ιστοσελιδα Joomla σχολειου  (Αναγνώστηκε 2251 φορές)

παρις

  • Δεινόσαυρος
  • *****
  • Μηνύματα: 195
Σφαλμα σε ιστοσελιδα Joomla σχολειου
« στις: 10 Μαρ 2020, 05:30:21 μμ »
Σφαλμα.
Διαπιστώσαμε ότι ο διακομιστής σας χρησιμοποιεί PHP 5.6.28 η οποία είναι παρωχημένη και δεν λαμβάνει πλέον επίσημες ενημερώσεις ασφαλείας από τους προγραμματιστές της. Το Joomla! συνιστά την αναβάθμιση του ιστοτόπου σας σε PHP 7.2 ή νεότερη έκδοση, που θα λαμβάνει ενημερώσεις ασφαλείας τουλάχιστον μέχρι 2020-11-30. Ζητήστε από τον πάροχο της φιλοξενίας σας, να κάνει χρήση της PHP 7.2 ή μιας νεότερης σαν προεπιλεγμένη έκδοση για τον ιστότοπό σας. Αν ο πάροχος της φιλοξενίας σας χρησιμοποιεί ήδη PHP 7.2 παρακαλώ ενεργοποιήσετε την PHP 7.2 στον βασικό φάκελο της εγκατάστασής σας και τον φάκελο 'administrator' – συνήθως μπορείτε να το κάνετε αυτό μόνοι σας, μέσα από κάποιο εργαλείο επιλογής της έκδοσης PHP, στον πίνακα ελέγχου του πακέτου φιλοξενίας, αλλά αν δεν είστε σίγουροι ζητήστε το από τον πάροχο της φιλοξενίας σας.

παρις

  • Δεινόσαυρος
  • *****
  • Μηνύματα: 195
Απ: Σφαλμα σε ιστοσελιδα Joomla σχολειου
« Απάντηση #1 στις: 10 Μαρ 2020, 05:30:34 μμ »
Τι κανω εδω;

hathan

  • Θαμώνας
  • ***
  • Μηνύματα: 25
    • Ένα site για την Πληροφορική στα ΕΠΑΛ
Απ: Σφαλμα σε ιστοσελιδα Joomla σχολειου
« Απάντηση #2 στις: 11 Μαρ 2020, 09:13:40 πμ »
Καλημέρα,
δοκίμασε να δημιουργήσεις ένα αρχείο .htaccess μέσα στο φάκελο που έχεις το site π.χ. /joomla μέσα στο οποίο να έχεις μόνο την εντολή AddHandler php7 .php

παρις

  • Δεινόσαυρος
  • *****
  • Μηνύματα: 195
Απ: Σφαλμα σε ιστοσελιδα Joomla σχολειου
« Απάντηση #3 στις: 20 Μαρ 2020, 11:25:43 πμ »
Severely outdated PHP version 5.6
Your site is currently using PHP 5.6.28. This version of PHP has become End-of-Life since Monday, 31 December 2018. It has not received security updates for a very long time. You MUST NOT use it for a live site!

Akeeba Backup will stop supporting your version of PHP very soon. You must very urgently upgrade to a newer version of PHP. We recommend PHP 7.3 or later. You can ask your host or your system administrator for instructions. It's easy and it will make your site faster and more secure.

παρις

  • Δεινόσαυρος
  • *****
  • Μηνύματα: 195
Απ: Σφαλμα σε ιστοσελιδα Joomla σχολειου
« Απάντηση #4 στις: 20 Μαρ 2020, 11:26:22 πμ »
Καλημέρα,
δοκίμασε να δημιουργήσεις ένα αρχείο .htaccess μέσα στο φάκελο που έχεις το site π.χ. /joomla μέσα στο οποίο να έχεις μόνο την εντολή AddHandler php7 .php
Δεν ξέρω πως να τα κανω αυτά.

hathan

  • Θαμώνας
  • ***
  • Μηνύματα: 25
    • Ένα site για την Πληροφορική στα ΕΠΑΛ
Απ: Σφαλμα σε ιστοσελιδα Joomla σχολειου
« Απάντηση #5 στις: 20 Μαρ 2020, 12:23:27 μμ »
Καλημέρα,
κατέβασε (αν δεν το έχεις) το πρόγραμμα filezilla και συνδέσου στην "περιοχή" του σχολείου σου, οδηγίες εδώ: https://www.sch.gr/assist/webhost/filezilla (θα χρειαστείς τη διεύθυνση της ιστοσελίδας και τους κωδικούς για το email του σχολείου σου). Αφού συνδεθείς δημιούργησε στο παράθυρο απομακρυσμένη τοποθεσία (με δεξί κλικ) ένα νέο αρχείο με όνομα .htaccess. Μετά αντέγραψε (Δεξί κλικ πάνω του - προβολή- επεξεργασία) τον κώδικα AddHandler php7 .php σε αυτό το αρχείο που έφτιαξες. Αν έχεις φάκελο joomla τότε το αρχείο πρέπει να γίνει στο φάκελο Joomla. Ελπίζω να βοήθησα.

παρις

  • Δεινόσαυρος
  • *****
  • Μηνύματα: 195
Απ: Σφαλμα σε ιστοσελιδα Joomla σχολειου
« Απάντηση #6 στις: 05 Απρ 2020, 11:40:54 πμ »
Δεν το έφτιαξα προς το παρον το άφησα γιατι δεν το έχω.

http://dim-isthm.kor.sch.gr/autosch/joomla15/ αυτή είναι η σελίδα. Το video σε flash πως το αποθηκεύω; για να το διαγράψω αργότερα.

βασίλειος σίμωσης

  • Νέος
  • *
  • Μηνύματα: 3
Απ: Σφαλμα σε ιστοσελιδα Joomla σχολειου
« Απάντηση #7 στις: 29 Νοε 2020, 12:08:47 μμ »
το ίδιο θέμα αντιμετωπίζω και εγώ. οσον αφορά  το αρχείο .htaccess      θα είναι .txt ?  και απο οτι γράφει μέσα στο φορουμ θά γράφει μέσα μόνο AddHandler php7 .php     . το ανεβάζω αλλα δεν κάνει τιποτά. χρειάζεται κανενα restart μήπως?

παρις

  • Δεινόσαυρος
  • *****
  • Μηνύματα: 195
Απ: Σφαλμα σε ιστοσελιδα Joomla σχολειου
« Απάντηση #8 στις: 15 Ιαν 2021, 08:15:04 μμ »
http://dim-isthm.kor.sch.gr/autosch/joomla15/

Πως αλλαζω τo template και καταργω το flash στο κεντρο;

παρις

  • Δεινόσαυρος
  • *****
  • Μηνύματα: 195
Απ: Σφαλμα σε ιστοσελιδα Joomla σχολειου
« Απάντηση #9 στις: 26 Ιαν 2021, 03:59:07 μμ »
Το βρηκα.  ;) να κλειδωσει παρακαλω

aspd

  • Δεινόσαυρος
  • *****
  • Μηνύματα: 476
Απ: Σφαλμα σε ιστοσελιδα Joomla σχολειου
« Απάντηση #10 στις: 03 Μαΐ 2021, 10:02:16 πμ »
Συνάδελφοι καλημέρα και Χριστός Ανέστη.
Θα ήθελα συμβουλές σχετικά με αναβάθμιση του ιστότοπου joomla του σχολείου μου και της έκδοσης Php.
Πιο συγκεκριμένα.
Ο ιστότοπος ξεκίνησε με joomla 1.5. Πριν αρκετά χρόνια έκανα αναβάθμιση σε joomla 2.5.  Από τότε ανεβάζω συχνά υλικό, αλλά δεν είχα ασχοληθεί με αναβάθμισή /του. Η έκδοση php που έχει είναι η 5.6.
Πήρα  backup τα αρχεία του φακελου joomla, όπως συνήθως με filezilla, αλλά προσπαθώντας να πάρω backup τη βάση δεδομένων στο περιβάλλο PhpMyΑdmin του ΠΣΔ εμφανίστηκαν μηνύματα  “Ανεπιτυχής σύνδεση του χρήστη ελέγχου όπως ορίστηκε στη ρύθμισή σας” (δείτε συνημμένα αρχεία).  Οπότε, άρχισα να ασχολούμαι με το τι εκδόσεις έχω. Προφανώς πολύ παλιές!!!!

Έφτιαξα το αρχείο .htaccess και έβαλα μέσα
AddHandler php7 .php
και το ανέβασα με το filezilla εκεί που έχω το joomla. Το αποτέλεσμα στο site είναι τα άπειρα warnings preg_replace που βλέπετε στο στιγμιότυπο οθόνης.  Γύρισα το .htaccess σε
AddHandler php56 .php για να λειτουργεί το site.
                                                                                                   
Έψαξα να βρω μήπως μπορώ να διορθώσω τα warnings στο αρχείο input.php. Δεν ξέρω τι να διορθώσω και πώς και αν έχει νόημα.
Μετά σκέφτηκα ότι μπορεί η έκδοση joomla 2.5 να μην είναι συμβατή με το php 7, οπότε ίσως πρέπει να κάνω αναβάθμιση του joomla πρώτα και ίσως τα διορθωθούν και τα warnings κτλ με το php7 .

Πήρα backup το site και με το akeeba backup.

Ήθελα να ρωτήσω αν είναι λογικά τα παραπάνω και με τι σειρά να προχωρήσω. Να κάνω πρώτα αναβάθμιση το site;  σε ποιά έκδοση; είναι εύκολο από το 2.5 να πάει σε 3x;
Θα διορθωθεί αυτόματα το πρόβλημα που μου εμφάνιζε με το php7 ή θα πρέπει να κάνω και άλλα πράγματα;
Όλα αυτά είναι στους παλιούς servers του ΠΣΔ. Να τα αφήσω εκεί ή να προσπαθήσω να τα μεταφέρω  από την υπάρχουσα στη νέα υποδομή φιλοξενίας ιστοσελίδων με τις οδηγίες που είναι εδώ; https://blogs.sch.gr/webhost/#pos-dimioyrgo-mia-vasi-dedomenon-mysql
O ιστότοπος του σχολείου μου είναι εδώ: http://1gym-aigiou.ach.sch.gr

Κάθε βοήθεια είναι ευπρόσδεκτη
Ευχαριστώ
                         

« Τελευταία τροποποίηση: 03 Μαΐ 2021, 10:35:00 πμ από aspd »